
From: Jan Harkes <jaharkes@cs.cmu.edu>

Trivial fix to make the CODA_FS_OLD_API config option actually work as
expected.

Signed-off-by: Jan Harkes <jaharkes@cs.cmu.edu>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/fs/coda/coda_linux.c |    2 +-
 25-akpm/fs/coda/psdev.c      |    2 +-
 25-akpm/fs/coda/upcall.c     |   10 +++++-----
 25-akpm/include/linux/coda.h |   10 +++++-----
 4 files changed, 12 insertions(+), 12 deletions(-)

diff -puN fs/coda/coda_linux.c~coda-fix-ifdefs-for-config_coda_fs_old_api fs/coda/coda_linux.c
--- 25/fs/coda/coda_linux.c~coda-fix-ifdefs-for-config_coda_fs_old_api	Wed Sep  1 15:41:54 2004
+++ 25-akpm/fs/coda/coda_linux.c	Wed Sep  1 15:41:54 2004
@@ -28,7 +28,7 @@ int coda_fake_statfs;
 char * coda_f2s(struct CodaFid *f)
 {
 	static char s[60];
-#ifdef CODA_FS_OLD_API
+#ifdef CONFIG_CODA_FS_OLD_API
  	sprintf(s, "(%08x.%08x.%08x)", f->opaque[0], f->opaque[1], f->opaque[2]);
 #else
  	sprintf(s, "(%08x.%08x.%08x.%08x)", f->opaque[0], f->opaque[1], f->opaque[2], f->opaque[3]);
diff -puN fs/coda/psdev.c~coda-fix-ifdefs-for-config_coda_fs_old_api fs/coda/psdev.c
--- 25/fs/coda/psdev.c~coda-fix-ifdefs-for-config_coda_fs_old_api	Wed Sep  1 15:41:54 2004
+++ 25-akpm/fs/coda/psdev.c	Wed Sep  1 15:41:54 2004
@@ -405,7 +405,7 @@ static int __init init_coda(void)
 	int status;
 	int i;
 	printk(KERN_INFO "Coda Kernel/Venus communications, "
-#ifdef CODA_FS_OLD_API
+#ifdef CONFIG_CODA_FS_OLD_API
 	       "v5.3.20"
 #else
 	       "v6.0.0"
diff -puN fs/coda/upcall.c~coda-fix-ifdefs-for-config_coda_fs_old_api fs/coda/upcall.c
--- 25/fs/coda/upcall.c~coda-fix-ifdefs-for-config_coda_fs_old_api	Wed Sep  1 15:41:54 2004
+++ 25-akpm/fs/coda/upcall.c	Wed Sep  1 15:41:54 2004
@@ -55,7 +55,7 @@ static void *alloc_upcall(int opcode, in
         inp->ih.opcode = opcode;
 	inp->ih.pid = current->pid;
 	inp->ih.pgid = process_group(current);
-#ifdef CODA_FS_OLD_API
+#ifdef CONFIG_CODA_FS_OLD_API
 	memset(&inp->ih.cred, 0, sizeof(struct coda_cred));
 	inp->ih.cred.cr_fsuid = current->fsuid;
 #else
@@ -172,7 +172,7 @@ int venus_store(struct super_block *sb, 
         union inputArgs *inp;
         union outputArgs *outp;
         int insize, outsize, error;
-#ifdef CODA_FS_OLD_API
+#ifdef CONFIG_CODA_FS_OLD_API
 	struct coda_cred cred = { 0, };
 	cred.cr_fsuid = uid;
 #endif
@@ -180,7 +180,7 @@ int venus_store(struct super_block *sb, 
 	insize = SIZE(store);
 	UPARG(CODA_STORE);
 	
-#ifdef CODA_FS_OLD_API
+#ifdef CONFIG_CODA_FS_OLD_API
 	memcpy(&(inp->ih.cred), &cred, sizeof(cred));
 #else
 	inp->ih.uid = uid;
@@ -219,7 +219,7 @@ int venus_close(struct super_block *sb, 
 	union inputArgs *inp;
 	union outputArgs *outp;
 	int insize, outsize, error;
-#ifdef CODA_FS_OLD_API
+#ifdef CONFIG_CODA_FS_OLD_API
 	struct coda_cred cred = { 0, };
 	cred.cr_fsuid = uid;
 #endif
@@ -227,7 +227,7 @@ int venus_close(struct super_block *sb, 
 	insize = SIZE(release);
 	UPARG(CODA_CLOSE);
 	
-#ifdef CODA_FS_OLD_API
+#ifdef CONFIG_CODA_FS_OLD_API
 	memcpy(&(inp->ih.cred), &cred, sizeof(cred));
 #else
 	inp->ih.uid = uid;
diff -puN include/linux/coda.h~coda-fix-ifdefs-for-config_coda_fs_old_api include/linux/coda.h
--- 25/include/linux/coda.h~coda-fix-ifdefs-for-config_coda_fs_old_api	Wed Sep  1 15:41:54 2004
+++ 25-akpm/include/linux/coda.h	Wed Sep  1 15:41:54 2004
@@ -200,7 +200,7 @@ typedef u_int32_t vuid_t;
 typedef u_int32_t vgid_t;
 #endif /*_VUID_T_ */
 
-#ifdef CODA_FS_OLD_API
+#ifdef CONFIG_CODA_FS_OLD_API
 struct CodaFid {
 	u_int32_t opaque[3];
 };
@@ -220,7 +220,7 @@ struct coda_cred {
     vgid_t cr_groupid, cr_egid, cr_sgid, cr_fsgid; /* same for groups */
 };
 
-#else /* not defined(CODA_FS_OLD_API) */
+#else /* not defined(CONFIG_CODA_FS_OLD_API) */
 
 struct CodaFid {
 	u_int32_t opaque[4];
@@ -318,7 +318,7 @@ struct coda_statfs {
 #define CODA_KERNEL_VERSION 0 /* don't care about kernel version number */
 #define CODA_KERNEL_VERSION 1 /* The old venus 4.6 compatible interface */
 #endif
-#ifdef CODA_FS_OLD_API
+#ifdef CONFIG_CODA_FS_OLD_API
 #define CODA_KERNEL_VERSION 2 /* venus_lookup got an extra parameter */
 #else
 #define CODA_KERNEL_VERSION 3 /* 128-bit file identifiers */
@@ -330,7 +330,7 @@ struct coda_statfs {
 struct coda_in_hdr {
     u_int32_t opcode;
     u_int32_t unique;	    /* Keep multiple outstanding msgs distinct */
-#ifdef CODA_FS_OLD_API
+#ifdef CONFIG_CODA_FS_OLD_API
     u_int16_t pid;	    /* Common to all */
     u_int16_t pgid;	    /* Common to all */
     u_int16_t sid;          /* Common to all */
@@ -614,7 +614,7 @@ struct coda_vget_out {
 /* CODA_PURGEUSER is a venus->kernel call */
 struct coda_purgeuser_out {
     struct coda_out_hdr oh;
-#ifdef CODA_FS_OLD_API
+#ifdef CONFIG_CODA_FS_OLD_API
     struct coda_cred cred;
 #else
     vuid_t uid;
_
